pbox_campfire = Class('pbox_campfire', fv.core.Building)

function pbox_campfire:onStateChange()
	if self.working and self.damaged == false then
		if isValidUID(self.slot_light) == false then 
			createLightSmallOnGround(self, "slot_light", 0, 0.5, 0)
		end
	else
		if isValidUID(self.slot_light) then
			self:removeLight(self.slot_light) 
		end
	end
end

function pbox_campfire:refreshFoodFirewood()
	-- fv.core.createFoodFirewood(self, 0, 0.6, 0, -1.2, 0, -0.3, 0, 1)
	fv.core.createFood(self, 0, -0.3, 0, 1)
	fv.core.createFirewood(self, 0, 0.6, 0, -1.2)
end

function pbox_campfire:createWindow()
	-- return createWindow(BLD_WIN_HOUSE, "pbox_House_for8.layout")
	return fv.core.HouseWindow(self, "pbox_House_for8.layout")
end

function pbox_campfire:onPrefabChange()
	self:refreshFoodFirewood()
end

function pbox_campfire:onResourceChange()
	self:refreshFoodFirewood()
end

function pbox_campfire:onTimeout()
	self:refreshFoodFirewood()
end

function pbox_campfire:init()
	self.gen = 0
end

function pbox_campfire:updatePlayer(w, checkAction)
	if w.storageEmpty == false then
		return depositToHouse(w, self, checkAction)
	end	
	return false
end

fv.core.GameMenu.model:regBuilding(pbox_campfire, 'livingHouses.pbox_campfire', 'GameLook1/iconhospital', '@btn_pbox_campfire@ \n@Cost@: @pricepbox_campfire@', 1)